Skip to main content
PATCH
/
v1
/
admin
/
finance
/
bookings
/
{bookingId}
/
payment-schedules
/
{scheduleId}
Update a payment schedule entry
curl --request PATCH \
  --url https://{operatorDomain}/v1/admin/finance/bookings/{bookingId}/payment-schedules/{scheduleId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "psch_01HZX...",
  "bookingId": "<string>",
  "dueDate": "2023-12-25",
  "amountCents": 30000,
  "currency": "EUR",
  "label": "Deposit",
  "status": "pending"
}
'
{
  "data": {
    "id": "psch_01HZX...",
    "bookingId": "<string>",
    "dueDate": "2023-12-25",
    "amountCents": 30000,
    "currency": "EUR",
    "label": "Deposit",
    "status": "pending"
  }
}

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Path Parameters

bookingId
string
required
scheduleId
string
required

Body

application/json
id
string
required
Example:

"psch_01HZX..."

bookingId
string
required
dueDate
string<date>
required
amountCents
integer
required
Example:

30000

currency
string
required
Required string length: 3
Example:

"EUR"

label
string
Example:

"Deposit"

status
enum<string>
Available options:
pending,
paid,
overdue,
cancelled
Example:

"pending"

Response

200 - application/json

Updated schedule entry

data
object